from djongo import models


#大屏
#项目区域
class MongoProjectArea(models.Model):
    id = models.AutoField(primary_key=True)
    project_user_id = models.PositiveIntegerField(u'项目区域所属用户id', default=0)
    project_name = models.CharField(u"项目区域名称",max_length=20, null=True,  blank=True)
    project_coordinates = models.TextField(verbose_name="项目区域坐标")
    addtime = models.IntegerField(default=0)  # 项目区域创建时间
    upltime = models.IntegerField(default=0)  # 项目区域修改时间

    class Meta:
        db_table = "sa_project_area"
        verbose_name = "大屏项目区域表"
        verbose_name_plural = verbose_name